| Package | Description |
|---|---|
| org.apache.camel.builder.endpoint.dsl |
| Modifier and Type | Method and Description |
|---|---|
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
ZooKeeperMasterEndpointBuilderFactory.AdvancedZooKeeperMasterEndpointBuilder.basic() |
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder.bridgeErrorHandler(boolean bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder.bridgeErrorHandler(String bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
static ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
ZooKeeperMasterEndpointBuilderFactory.zookeeperMaster(String path)
ZooKeeper Master (camel-zookeeper-master)
Represents an endpoint which only becomes active when it obtains the
master lock
Category: clustering
Since: 2.19
Maven coordinates: org.apache.camel:camel-zookeeper-master
Syntax:
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave mode |
default ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterEndpointBuilder |
ZooKeeperMasterEndpointBuilderFactory.ZooKeeperMasterBuilders.zookeeperMaster(String path)
ZooKeeper Master (camel-zookeeper-master)
Represents an endpoint which only becomes active when it obtains the
master lock
Category: clustering
Since: 2.19
Maven coordinates: org.apache.camel:camel-zookeeper-master
Syntax:
zookeeper-master:groupName:consumerEndpointUri
Path parameter: groupName (required)
The name of the cluster group to use
Path parameter: consumerEndpointUri (required)
The consumer endpoint to use in master/slave mode |
Apache Camel